/*
Theme Name: Mediamind
Template: Divi
Description: Divi Child Theme
Author: Mediamind
*/

/* Divi Modifiers Naming
.section-
.row-
.column-
.module-
*/

/*
VARIABLES
*/

:root {
	--color-primary: #ffb80c;
	--color-primary-light: #fdf1d9;
	--color-secondary: #eae6df;
	--color-dark: #111111;
	--border-radius: 25px;

	/* --color-secondary: #; */
}

.et_pb_blurb .et_pb_blurb_container {
	vertical-align: middle;
}

.et_pb_section {
	background: transparent;
}

/*
TYPOGRAPHY
*/

h1 {
	padding-bottom: 0;
	margin-bottom: 20px;
	font-size: 96px;
}

h2 {
	font-size: 60px;
}

/*
HELPER CLASSES
*/

.border-radius {
	border-radius: var(--border-radius);
}

.bg-secondary {
	background: var(--color-secondary);
}

.color-primary {
	color: var(--color-primary);
} 

.text-lg {
	font-size: 24px;
	font-weight: 300;
}

.pretitle {
	font-size: 18px;
	font-weight: 500;
	text-transform: uppercase;
	color: var(--color-primary);
}

.img-puff img {
	border-radius: var(--border-radius);
}

.img-tag {
	padding: 4px 12px;
	border-radius: var(--border-radius);
	background: rgba(0,0,0, 0.5);
	color: #ffffff;
	font-size: 12px;
}

.top-left {
	position: absolute;
	top: 25px;
	left: 25px;
}

.top-right {
	position: absolute;
	top: 25px;
	right: 25px;
}

.et_pb_group.puff-description {
	position: absolute;
	bottom: 25px;
	left: 25px;
}
.puff-description h3, 
.puff-description p {
	color: #ffffff;
}

.puff-description h3 {
	font-size: 36px;
	font-weight: 700;
}

.et_pb_group.puff-description .et_pb_blurb .et-pb-icon {
	padding: 8px;
	border-radius: 50%;
	font-size: 24px;
	background: var(--color-primary);
	color: #000000;
}

/*
BUTTONS
*/

.et_pb_button_module_wrapper a.et_pb_button,
.et_pb_button_module_wrapper a.et_pb_button:hover {
	padding-top: 12px !important;
	padding-bottom: 12px !important;
	padding-left: 30px !important;
	padding-right: 45px !important;
	border: 2px solid transparent;
}

a.et_pb_button.button-primary,
a.et_pb_button.button-primary:hover {
	background: #000000;
	color: #ffffff !important;
}

a.et_pb_button.button-outline {
	border: 2px solid #000000 !important;
	background: #ffffff;
	color: #000000 !important;
}

/*
SITE HEADER
*/

.et_pb_section.site-header {
	padding: 30px 0 0 0;
}

.et_pb_section.site-header .et_pb_row {
	padding: 10px 10px 3px 10px;
	border-radius: var(--border-radius);
	background: rgba(255,255,255, 0.9);
	box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
}

.et_pb_section.site-header .et_pb_menu li a {
	text-transform: uppercase;
	font-size: 14px;
	font-weight: 700;
	color: #000000;
}

.et_pb_section.site-header .et_pb_menu li a:hover,
.et_pb_section.site-header .et_pb_menu li.current-menu-item > a {
	color: var(--color-primary);
}

.et_pb_section.site-header .et_pb_menu .nav li ul {
	border-top: 0;
	border-radius: var(--border-radius);
	/* width: 200px; */
}

.et_pb_section.site-header .et_pb_icon .et-pb-icon {
	font-size: 48px;
	color: #000000;
}

/*
HERO
*/

.et_pb_section.hero-home .et_pb_image img {
	border-radius: 25px;
}

.et_pb_blurb.module-open {
	padding: 25px;
	border-radius: var(--border-radius);
	background: #ffffff;
}

/*
SECTION ANIMATION
*/

.et_pb_section.section-animation {
	padding: 0;
	background: var(--color-dark);
}

.et_pb_section.section-animation .et_pb_row {
	width: 100%;
	max-width: none;
	overflow: hidden;
	padding: 12px 0;
}
.et_pb_section.section-animation .et_pb_blurb {
	padding: 5px 15px 5px 15px;
}

.et_pb_section.section-animation .et_pb_blurb .et-pb-icon {
	color: var(--color-primary);
}

.et_pb_section.section-animation .et_pb_blurb .et_pb_blurb_description p {
	color: #ffffff;
	text-transform: uppercase;
	
}

.et_pb_section.section-animation .et_pb_row .et_pb_column {
	display: flex;
	width: max-content !important;
	animation: scroll 20s linear infinite;
}

@keyframes scroll{
    from{
        transform:translateX(0);
    }
    to{
        transform:translateX(calc(-50% - 2rem));
    }
}

/*

@keyframes marquee-content {
	from {
		transform: translateX( 0% );
	}
	to {
		transform: translateX( -100% );
	}
} */

/*
SECTION PUFFAR START
*/

/*
.et_pb_row.row-puffar .et_pb_group .et_pb_text p,
.et_pb_row.row-puffar .et_pb_group .et_pb_blurb .et_pb_blurb_description p {
	display: none;
} */


/*
SECTION TIMELINE
*/

.et_pb_section.section-timeline {
	background: var(--color-dark);
}

.et_pb_section.section-timeline .et_pb_text,
.et_pb_section.section-timeline .et_pb_text_inner h2 {
	color: #ffffff;
}

.et_pb_timeline .et_pb_timeline_card {
	border: 1px solid #4d3f1e;
    border-radius: 15px;
	background-color: #272216;
}

.et_pb_timeline .et_pb_timeline_connector {
	background-color: #272216;
}

.et_pb_timeline_date {
	color: var(--color-primary);
}

.et_pb_timeline .et_pb_timeline_marker {
	background-color: var(--color-primary);
}

.et_pb_timeline_title {
	color: #ffffff;
	font-weight: 700;
}

.et_pb_timeline .et_pb_timeline_card p {
	color: #bfbdba;
}

/*
SECTION CARDS
*/

.et_pb_section.section-cards .et_pb_blurb {
	padding: 25px;
	border-radius: var(--border-radius);
	background: #ffffff;
}

.et_pb_section.section-cards .et_pb_blurb .et_pb_main_blurb_image {
	padding: 10px;
	align-self: flex-start;  
    background: var(--color-primary-light);
    border-radius: 50%;
}

.et_pb_section.section-cards .et_pb_blurb .et_pb_main_blurb_image .et-pb-icon {
	font-size: 30px;
	color: var(--color-primary);
}

/*
SECTION HISTORY
*/

.et_pb_section.section-history .et_pb_text p a {
	text-transform: uppercase;
	color: #000000;
	border-bottom: 2px solid #000000;;
}

/*
SITE FOOTER
*/

.et_pb_section.site-footer {
	background: var(--color-dark);
}

.et_pb_section.site-footer .et_pb_text h2 {
	color: #ffffff;
}

.et_pb_section.site-footer .et_pb_text p {
	color: var(--color-secondary);
}

.et_pb_section.site-footer a.et_pb_button {
	background: #ffffff;
	color: #000000;
}

.et_pb_section.site-footer .et_pb_heading h3 {
	color: var(--color-secondary);
	text-transform: uppercase;
	font-size: 14px;
}

.et_pb_section.site-footer .et_pb_menu li {
	flex-basis: 100%;
}

.et_pb_section.site-footer .et_pb_menu a {
	color: #ffffff;
}

/*
PAGES
*/

.et_pb_text.text-info {
	padding: 8px;
	background: var(--color-primary-light);
	border-left: 2px solid var(--color-primary);
}

/*
SECTION ABOUT
*/

.et_pb_section.section-about .et_pb_text strong {
	font-size: 30px;
}

.et_pb_section.section-about .et_pb_text p {
	font-size: 24px;
}

/*
FAQ
*/

.et_pb_section.section-faq .et_pb_row {
	padding: 25px;
	border-radius: var(--border-radius);
	background: #ffffff;
}

.et_pb_section.section-faq .et_pb_toggle {
	border: 0;
	padding: 20px 0;
	border-bottom: 1px solid #d9d9d9;
}

.et_pb_section.section-faq .et_pb_toggle.et_pb_toggle_close {
	background-color: transparent;
}

.et_pb_section.section-faq .et_pb_toggle .et_pb_toggle_title:before {
	font-size: 36px;
	color: var(--color-primary);
}

.et_pb_section.section-faq .et_pb_toggle h3.et_pb_toggle_title {
	color: #000000;
	font-weight: 500;
}

.et_pb_section.section-faq .et_pb_toggle h3.et_pb_toggle_title:hover {
	color: var(--color-primary);
}

/*
SECTION PERSONAL
*/

.et_pb_section.section-personal .et_pb_blurb .et_pb_main_blurb_image img {
	border-radius: var(--border-radius);
}

.et_pb_section.section-opening .et_pb_row {
	padding: 50px;
	border-radius: var(--border-radius);
	background: #111111;
}

.et_pb_section.section-opening .et_pb_text,
.et_pb_section.section-opening .et_pb_text h2,
.et_pb_section.section-opening .et_pb_text h3,
.et_pb_section.section-opening .et_pb_code {
	color: #ffffff;
}

.et_pb_section.section-opening .et_pb_column.col-opening {
	padding: 25px;
	border-radius: var(--border-radius);
	background: #000000;
}

.et_pb_section.section-opening .et_pb_column.col-opening .et_pb_code {
	padding: 10px 0;
	border-top: 1px solid #d9d9d9;
	border-bottom: 1px solid #d9d9d9;
}

/*
CONTACT
*/

.et_pb_section.section-contact .et_pb_blurb,
.et_pb_section.section-contact .et_pb_column.col-form {
	padding: 25px;
	border-radius: var(--border-radius);
	background: #ffffff;
	box-shadow: 0 0 5px #cccccc;
}

.et_pb_section.section-contact .et_pb_column.col-form .et_pb_text h2 {
	font-size: 36px;
	font-weight: 700;
}

.et_pb_section.section-contact .et_pb_blurb .et-pb-icon {
	color: #000000;
	font-size: 18px;
	background: #e9e9e9;
	padding: 10px;
	border-radius: 50%;
}

.et_pb_section.section-contact .et_pb_blurb .et_pb_blurb_container h3.et_pb_module_header {
	font-size: 14px;
	text-transform: uppercase;
}

.et_pb_code.embed-map iframe {
	border-radius: var(--border-radius);
}

.gform-theme--framework .gform_fields .gfield input,
.gform-theme--framework .gform_fields .gfield select,
.gform-theme--framework .gform_fields .gfield textarea { 
	border: 0;
	background-color: #f1f1f1;
	border-radius: 10px;
}

.gform-theme--framework .gform_footer input[type="submit"].gform_button {
	padding: 12px 30px;
	background: #000000;
	border-radius: var(--border-radius);
}

/*
OFFCANVAS MENU 
*/

.et_pb_section.menu-offcanvas-container {
    display: none;
    position: fixed !important;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    z-index: 9999999;
    overflow-x: hidden;
    overflow-y: scroll;
    padding-top: 40px !important;
    background: #FFFFFF;
}

.et_pb_section.menu-offcanvas-container .et_pb_row.row-header {
	width: 95%;
}

.et_pb_section.menu-offcanvas-container .et_pb_icon .et-pb-icon {
	font-size: 48px;
	color: #000000;
}

.et_pb_section.menu-offcanvas-container .et_pb_icon.btn-close,
.et_pb_section.site-header .et_pb_icon.btn-open {
  cursor: pointer;
}

.et_pb_section.menu-offcanvas-container .et_pb_menu.et_flex_module .et_pb_menu__wrap {
	flex: 1 1 auto !important;
}

.menu-offcanvas li a {
	text-decoration: none;
	font-size: 20px;
	font-weight: 500;
	color: #000000 !important;
}

.menu-offcanvas li a:not(.mobile-toggle) {
	border-bottom: 1px solid #d9d9d9 !important;
}

.menu-offcanvas .et_mobile_menu li a {
  padding: 10px;
  border-bottom: 0;
  text-align: left;
}

.menu-offcanvas .et_pb_menu__menu,
.menu-offcanvas .mobile_menu_bar:before {
  display: none !important;
}

.menu-offcanvas .et_mobile_nav_menu {
  display: block !important;
  width: 100%;
}

.menu-offcanvas .et_mobile_menu {
  display: block !important;
  position: relative !important;
  border-top: none !important;
}

.menu-offcanvas li {
  list-style: none;
}

.menu-offcanvas .et_mobile_menu {
  box-shadow: none !important;
  -webkit-box-shadow: none !important;
  padding: 0 !important; 
}

.menu-offcanvas::-webkit-scrollbar-track {
  background: #ffffff;
}

.menu-offcanvas .et_mobile_menu .menu-item-has-children > a {
  font-weight: 500 !important;
}

.menu-offcanvas nav li.et-touch-hover > ul,
.menu-offcanvas .nav li:hover > ul {
  opacity: 0;
  visibility: hidden;
}

.menu-offcanvas ul.sub-menu.hide.visible {
  opacity: 1;
  visibility: visible;
}

/* ======
Proper Collapsable Mobile Menu
====== */ 

/* Style the icon's placeholder */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
ul.et_mobile_menu li.page_item_has_children .mobile-toggle/*,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle,
.et-db #et-boc .et-l ul.et_mobile_menu li.page_item_has_children .mobile-toggle*/ {
  width: 44px;
  height: 100%;
  padding: 0px !important;
  max-height: 44px;
  position: absolute;
  right: 0px;
  top: 0px;
  z-index: 999;
  background-color: transparent;
  border-bottom: 0;
  text-align: center;
}

ul.et_mobile_menu > li.menu-item-has-children,
ul.et_mobile_menu > li.page_item_has_children/*,
ul.et_mobile_menu > li.menu-item-has-children .sub-menu li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.menu-item-has-children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.page_item_has_children,
.et-db #et-boc .et-l ul.et_mobile_menu > li.menu-item-has-children .sub-menu li.menu-item-has-children*/ {
  position: relative;
}

.et_mobile_menu .menu-item-has-children > a/*,
.et-db #et-boc .et-l .et_mobile_menu .menu-item-has-children > a*/ {
  background-color: transparent;
}

/* Hide the Sub-menu */
ul.et_mobile_menu .menu-item-has-children .sub-menu/*,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu*/ {
  display: none !important;
  visibility: hidden !important;
}
 
/* Show the sub-menu when the + icon is clicked */
ul.et_mobile_menu .menu-item-has-children .sub-menu.visible/*,
#main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #et-boc .et-l ul.et_mobile_menu .menu-item-has-children .sub-menu.visible,
.et-db #main-header ul.et_mobile_menu .menu-item-has-children .sub-menu.visible*/ {
  display: block !important;
  visibility: visible !important;
  padding: 0;
}

.et_mobile_menu li li {
	padding-left: 0;
}

ul.et_mobile_menu .menu-item-has-children .sub-menu li a {
	font-size: 16px;
}

/* Create the opening/closing icon using the Divi's Icons */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after/*,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after*/ {
  top: 10px;
  position: relative;
  font-family: "ETModules";
}

/* Set the opening icon for custom Tax Pages */
/*body.single-product:not(.et-tb-has-template) ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.tax-product_cat ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.tax-project_category ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.single-product.et-db:not(.et-tb-has-template) #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.tax-product_cat.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after,
body.tax-project_category.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after {
  content: "+";
}*/

/* Set the opening icon for default WordPress Pages */
ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after/*,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children .mobile-toggle::after*/ {
  content: "\33";
}

/* Set the closing icon */
ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after/*,
.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.single-product:not(.et-tb-has-template) ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.single-product.et-db:not(.et-tb-has-template) #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.tax-product_cat ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.tax-product_cat.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.tax-project_category ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after,
body.tax-project_category.et-db #et-boc .et-l ul.et_mobile_menu li.menu-item-has-children.dt-open > .mobile-toggle::after*/ {
  content: '\32';
}

/*
MEDIA QUERIES
*/ 

/* Desktop */
@media screen and (min-width: 981px) {
	
	.et_pb_text.text-main {
		width: 70%;
	}
}


/* Tablet & below */
@media (max-width: 980px) {

	.et_pb_row:not([class*=et_flex_column]) {
		width: 90%;
	}

	h1 {
		font-size: 48px;
	}

	h2 {
		font-size: 36px;
	}

	.et_pb_row {
		width: 90%;
	}

	.et_pb_section.site-header {
		padding: 10px 0;
	}

	.et_pb_section.site-header .et_pb_row {
		padding: 5px;
		width: 90%;
	}

	.et_pb_section.site-footer .et_pb_menu__menu {
		display: flex;
	}

	.et_pb_section.site-footer .et_mobile_nav_menu {
		display: none;
	}
}

/* Only tablet */
@media (min-width: 768px) and (max-width: 980px) {

}

/* Smartphone */ 
@media (max-width: 767px) {

	.et_pb_button {
		width: 100%;
		text-align: center;
	}

	.et_pb_section.site-header .et_pb_image img {
		max-width: 70%;
	}

	.et_pb_section.section-opening .et_pb_row { 
		padding: 25px;
	}
}